3D-ASCII-VIEWER(1)

NAME
3d-ascii-viewer - an OBJ 3D model format viewer for the terminal

SYNOPSIS
3d-ascii-viewer [OPTION...] INPUT_FILE

DESCRIPTION
3d-ascii-viewer -- an OBJ 3D model format viewer for the terminal

-w <size>
    Output width in characters

-h <size>
    Output height in characters

-d <seconds>
    Stop the program after this many seconds.

-f <frames>
    Frames per second.

-a <ratio>
    Display assuming this height/width ratio for terminal characters.

-c <chars>
    Provide alternate luminescence characters (from less to more light).

-s  Stretch the model, regardless of the height/width ratio. for terminal characters.

-t  Allow the animation to reach maximum elevation.

-l  Don't rotate the light with the model.

-X, -Y, -Z
    Invert respective axes.

-XYZ, -XZY, -YXZ, Change model orientation.

-YZX, -ZXY, -ZYX

-F  Flip faces.

-z <zoom>
    Change zoom level (default: 100).

--color
    Display with colors. The OBJ format relies on the companion MTL files.

--snap <az> <al>
    Output a single snap to stdout, with the given azimuth and altitude angles, in degrees.

--interactive
    Manually rotate the camera. Controls: ARROW KEYS, '-', '+' Alt-controls: H, J, K, L, A, S Quit: Q Toggle Hud: T

-?, --help
    Give this help list